﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TrueDBGridColsLeft
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            c1TrueDBGrid1.DataSource = dt;
            int sum = c1TrueDBGrid1.Left + c1TrueDBGrid1.RecordSelectorWidth;
            for(int i= 0; i < c1TrueDBGrid1.Splits[0].DisplayColumns.Count; i++)
            {
                Console.WriteLine("Column "+(i+1) + " Left : " + sum);
                sum = sum + c1TrueDBGrid1.Splits[0].DisplayColumns[i].Width;
            }

        }

       
    }
}
